<?php
/*
===========================
Kasutaja paneel
"Minu eelpakkumised" vaade
===========================
*/
include 'config.php';
session_start();
include_once ROOT . 'db/dbconfig.php';
require_once ROOT . 'admin/objects/kasutaja.class.php';
$user_home = new Kasutaja();
include ROOT . "header.php";

$database = new Database();
$db = $database->dbConnection();

$kasutaja = $_SESSION['userSession'];

?>

<div class="container">

    <div class="row">
        <?php
        include "kasutaja-nav.php";
        ?>
        <div class="col-md-9">

           <h3 class="decorated"><span>Tulevased saalioksjonid</span></h3><br />

           <?php

            // Loeme kasutaja kõik eelpakkumised, mis on tehtud tulevastele saalioksjonitele
           $sql = "SELECT esemed_saal.id, kataloogid.aeg AS `kat_aeg`, kataloogid.id AS `kat_id`, kataloogid.nimi AS `kataloog`, esemed_saal.nimi, max(summa) FROM esemed_saal, eelpakkumised, kataloogid WHERE esemed_saal.kataloogi_id = kataloogid.id AND esemed_saal.id = eelpakkumised.eseme_id AND eelpakkumised.kasutaja_id = $kasutaja AND now() < kataloogid.aeg GROUP BY esemed_saal.id ORDER BY kataloogid.aeg ASC";

            // Kuvame tulemused tabelisse
           echo "<br/><table class='table table-hover table-responsive table-bordered'>";
           echo "<tr>";
           echo "<th width='10%'>ID</th>";
           echo "<th>Nimi</th>";
           echo "<th><center>Saalioksjon</center></th>";
           echo "<th width='30%'><center>Summa</center></th>";
           echo "</tr>";
           foreach ($db->query($sql) as $row) {
            echo "<tr>";
            echo "<td>".$row["id"]."</td>";
            echo "<td><a href='".HTTP."saalioksjon/ese.php?id=".$row["id"]."&kataloog=".$row["kat_id"]."'>".$row["nimi"]."</a></td>";
            echo "<td><center>".$row["kat_aeg"]."<br/><b>".$row["kataloog"]."</b></center></td>";
            echo "<td><center>";
            echo "Eelpakkumine: <b>".$row["max(summa)"]."€</b>";
            echo "</center></td>";
            echo "</tr>";
        }
        echo "</table>";
        ?>

        <br/><h3 class="decorated"><span>Möödunud saalioksjonid</span></h3><br />

        <?php

        // Loeme kasutaja kõik eelpakkumised, mis on tehtud tulevastele saalioksjonitele
        $sql = "SELECT esemed_saal.id, kataloogid.aeg, kataloogid.id AS `kat_id`, kataloogid.nimi AS `kataloog`, esemed_saal.nimi, max(summa) FROM esemed_saal, eelpakkumised, kataloogid WHERE esemed_saal.id = eelpakkumised.eseme_id AND eelpakkumised.kasutaja_id = $kasutaja AND now() > kataloogid.aeg GROUP BY esemed_saal.id ORDER BY aeg ASC";

        // Kuvame tulemused tabelisse
        echo "<br/><table class='table table-hover table-responsive table-bordered'>";
        echo "<tr>";
        echo "<th width='10%'>ID</th>";
        echo "<th>Nimi</th>";
        echo "<th><center>Saalioksjon</center></th>";
        echo "<th width='30%'><center>Summa</center></th>";
        echo "</tr>";
        foreach ($db->query($sql) as $row) {
            echo "<tr>";
            echo "<td>".$row["id"]."</td>";
            echo "<td><a href='".HTTP."saalioksjon/ese.php?id=".$row["id"]."&kataloog=".$row["kat_id"]."'>".$row["nimi"]."</a></td>";

            echo "<td><center>".$row["aeg"]."<br/><b>".$row["kataloog"]."</b></center></td>";
            echo "<td><center>";
                    // Tavapakkumine.
            echo "Eelpakkumine: <b>".$row["max(summa)"]."€</b>";
            echo "</center></td>";
            echo "</tr>";
        }
        echo "</table>";
        ?>

    </div>
</div>
</div>

<?php
include ROOT . "footer.php";
?>